load("test.Rdata")
load("data_ELN_cat.RData")
library(survival)
pheno.train <- data_ELN_cat

TIME <- pheno.test$uebleb/365.25
EXIT <- pheno.test$exit

outcome <- pheno.train$outcome
outcome[ ,1] <- outcome[ ,1]/365.25


#############################################################
load("Score_pl_kat_coeff_Test.Rdata")
load("cutpoints_pl_kat_coeff.Rdata")
CP1 <- cp[1]; CP2 <- cp[2]

group_pl_kat <- rep(NA, length(score))
group_pl_kat[which(score<=CP1)] <- 0
group_pl_kat[which(score>CP1 & score<=CP2)] <- 1
group_pl_kat[which(score>CP2)] <- 2
group_pl_kat <- as.factor(group_pl_kat)


#####
load("Score_pl_kat_coeff_Train.Rdata")
group_pl_kat_train <- rep(NA, length(score))
group_pl_kat_train[which(score<=CP1)] <- 0
group_pl_kat_train[which(score>CP1 & score<=CP2)] <- 1
group_pl_kat_train[which(score>CP2)] <- 2
group_pl_kat_train <- as.factor(group_pl_kat_train)


#############################################################
load("Score_pl_kat_cvoffset_coeff_Test.Rdata")
load("cutpoints_pl_kat_cvoffset_coeff.Rdata")
CP1 <- cp[1]; CP2 <- cp[2]

group_pl_kat_cvoffset <- rep(NA, length(score))
group_pl_kat_cvoffset[which(score<=CP1)] <- 0
group_pl_kat_cvoffset[which(score>CP1 & score<=CP2)] <- 1
group_pl_kat_cvoffset[which(score>CP2)] <- 2
group_pl_kat_cvoffset <- as.factor(group_pl_kat_cvoffset)


#####
load("Score_pl_kat_cvoffset_coeff_Train.Rdata")

group_pl_kat_cvoffset_train <- rep(NA, length(score))
group_pl_kat_cvoffset_train[which(score<=CP1)] <- 0
group_pl_kat_cvoffset_train[which(score>CP1 & score<=CP2)] <- 1
group_pl_kat_cvoffset_train[which(score>CP2)] <- 2
group_pl_kat_cvoffset_train <- as.factor(group_pl_kat_cvoffset_train)


#############################################################
load("Score_lasso_kat_coeff_Test.Rdata")
load("cutpoints_lasso_kat_coeff.Rdata")
CP1 <- cp[1]; CP2 <- cp[2]

group_lasso_kat <- rep(NA, length(score))
group_lasso_kat[which(score<=CP1)] <- 0
group_lasso_kat[which(score>CP1 & score<=CP2)] <- 1
group_lasso_kat[which(score>CP2)] <- 2
group_lasso_kat <- as.factor(group_lasso_kat)


#####
load("Score_lasso_kat_coeff_Train.Rdata")

group_lasso_kat_train <- rep(NA, length(score))
group_lasso_kat_train[which(score<=CP1)] <- 0
group_lasso_kat_train[which(score>CP1 & score<=CP2)] <- 1
group_lasso_kat_train[which(score>CP2)] <- 2
group_lasso_kat_train <- as.factor(group_lasso_kat_train)


#############################################################
load("Score_pl_ELN_coeff_Test.Rdata")
load("cutpoints_pl_ELN_coeff.Rdata")
CP1 <- cp[1]; CP2 <- cp[2]

group_pl_ELN <- rep(NA, length(score))
group_pl_ELN[which(score<=CP1)] <- 0
group_pl_ELN[which(score>CP1 & score<=CP2)] <- 1
group_pl_ELN[which(score>CP2)] <- 2
group_pl_ELN <- as.factor(group_pl_ELN)


#####
load("Score_pl_ELN_coeff_Train.Rdata")

group_pl_ELN_train <- rep(NA, length(score))
group_pl_ELN_train[which(score<=CP1)] <- 0
group_pl_ELN_train[which(score>CP1 & score<=CP2)] <- 1
group_pl_ELN_train[which(score>CP2)] <- 2
group_pl_ELN_train <- as.factor(group_pl_ELN_train)


#############################################################
load("Score_pl_ELN_cvoffset_coeff_Test.Rdata")
load("cutpoints_pl_ELN_cvoffset_coeff.Rdata")
CP1 <- cp[1]; CP2 <- cp[2]

group_pl_ELN_cvoffset <- rep(NA, length(score))
group_pl_ELN_cvoffset[which(score<=CP1)] <- 0
group_pl_ELN_cvoffset[which(score>CP1 & score<=CP2)] <- 1
group_pl_ELN_cvoffset[which(score>CP2)] <- 2
group_pl_ELN_cvoffset <- as.factor(group_pl_ELN_cvoffset)

test_pl_ELN_cvoffset <- survfit(Surv(TIME, EXIT)~group_pl_ELN_cvoffset)
plot(test_pl_ELN_cvoffset)


#####
load("Score_pl_ELN_cvoffset_coeff_Train.Rdata")

group_pl_ELN_cvoffset_train <- rep(NA, length(score))
group_pl_ELN_cvoffset_train[which(score<=CP1)] <- 0
group_pl_ELN_cvoffset_train[which(score>CP1 & score<=CP2)] <- 1
group_pl_ELN_cvoffset_train[which(score>CP2)] <- 2
group_pl_ELN_cvoffset_train <- as.factor(group_pl_ELN_cvoffset_train)


#############################################################
load("Score_lasso_ELN_coeff_Test.Rdata")
load("cutpoints_lasso_ELN_coeff.Rdata")
CP1 <- cp[1]; CP2 <- cp[2]

group_lasso_ELN <- rep(NA, length(score))
group_lasso_ELN[which(score<=CP1)] <- 0
group_lasso_ELN[which(score>CP1 & score<=CP2)] <- 1
group_lasso_ELN[which(score>CP2)] <- 2
group_lasso_ELN <- as.factor(group_lasso_ELN)


#####
load("Score_lasso_ELN_coeff_Train.Rdata")

group_lasso_ELN_train <- rep(NA, length(score))
group_lasso_ELN_train[which(score<=CP1)] <- 0
group_lasso_ELN_train[which(score>CP1 & score<=CP2)] <- 1
group_lasso_ELN_train[which(score>CP2)] <- 2
group_lasso_ELN_train <- as.factor(group_lasso_ELN_train)


#####
save(group_pl_kat, group_pl_kat_cvoffset, group_lasso_kat, 
     group_pl_ELN, group_pl_ELN_cvoffset, group_lasso_ELN, 
     file="groups_test.Rdata")

save(group_pl_kat_train, group_pl_kat_cvoffset_train, group_lasso_kat_train, 
     group_pl_ELN_train, group_pl_ELN_cvoffset_train, group_lasso_ELN_train, 
     file="groups_train.Rdata")

