load("test.Rdata")
load("data_ELN_cat.RData")
pheno.train <- data_ELN_cat
outcome <- pheno.train$outcome

library(survival)

TIME <- pheno.test$uebleb/365.25
EXIT <- pheno.test$exit

TIMETrain <- outcome[ ,1]/365.25
EXITTrain <- outcome[ ,2]

################################################
optimism <- rep(NA, 6)

load("Score_pl_kat_coeff_Test.Rdata")
model.test <- coxph(Surv(TIME, EXIT)~score)
slope.test <- model.test$coefficients
load("Score_pl_kat_coeff_Train.Rdata")
model.train <- coxph(Surv(TIMETrain, EXITTrain)~score)
slope.train <- model.train$coefficients
optimism[1] <- slope.train - slope.test

load("Score_pl_kat_cvoffset_coeff_Test.Rdata")
model.test <- coxph(Surv(TIME, EXIT)~score)
slope.test <- model.test$coefficients
load("Score_pl_kat_cvoffset_coeff_Train.Rdata")
model.train <- coxph(Surv(TIMETrain, EXITTrain)~score)
slope.train <- model.train$coefficients
optimism[2] <- slope.train - slope.test

load("Score_lasso_kat_coeff_Test.Rdata")
model.test <- coxph(Surv(TIME, EXIT)~score)
slope.test <- model.test$coefficients
load("Score_lasso_kat_coeff_Train.Rdata")
model.train <- coxph(Surv(TIMETrain, EXITTrain)~score)
slope.train <- model.train$coefficients
optimism[3] <- slope.train - slope.test

load("Score_pl_ELN_coeff_Test.Rdata")
model.test <- coxph(Surv(TIME, EXIT)~score)
slope.test <- model.test$coefficients
load("Score_pl_ELN_coeff_Train.Rdata")
model.train <- coxph(Surv(TIMETrain, EXITTrain)~score)
slope.train <- model.train$coefficients
optimism[4] <- slope.train - slope.test

load("Score_pl_ELN_cvoffset_coeff_Test.Rdata")
model.test <- coxph(Surv(TIME, EXIT)~score)
slope.test <- model.test$coefficients
load("Score_pl_ELN_cvoffset_coeff_Train.Rdata")
model.train <- coxph(Surv(TIMETrain, EXITTrain)~score)
slope.train <- model.train$coefficients
optimism[5] <- slope.train - slope.test

load("Score_lasso_ELN_coeff_Test.Rdata")
model.test <- coxph(Surv(TIME, EXIT)~score)
slope.test <- model.test$coefficients
load("Score_lasso_ELN_coeff_Train.Rdata")
model.train <- coxph(Surv(TIMETrain, EXITTrain)~score)
slope.train <- model.train$coefficients
optimism[6] <- slope.train - slope.test

optimism <- round(optimism, 3)

names(optimism) <-  c("pl1A", "pl1B", "Lasso1", "pl2A", "pl2B", "Lasso2")